{
  nixpkgs,
  inputs,
  outputs,
  ...
}:
{
  mkSystem =
    configs:
    nixpkgs.lib.nixosSystem {
      system = "x86_64-linux";
      specialArgs = {
        inherit inputs outputs;
      };
      modules = [ 
        inputs.impermanence.nixosModules.impermanence
        ./systems/base/configuration.nix 
      ] ++ configs;
    };
}
